%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Developed by:			Torbjrn Wigren
%                       Division of Systems and Control
%                       Department of Information Technology
%                       Uppsala University
%                       P O Box 337
%                       SE-751 05 Uppsala
%                       SWEDEN
%
% Version:					1.0, PC MATLAB
%                       2.0, MATLAB 5
%
% Date:		        		rev. 1.0, Nov 10 1991
%                       rev. 2.0, March 28 2007
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%                       DESCRIPTION
%
% This M-file plots the evolution of the parameter estimates as generated
% by one of the algorithms for Wiener model identification.
%
% Variables: 		      algnr = number of algorithm that generated parameters
%                       thetaoe = parameter vector
%                       n = number of samples
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
if algnr < 6 
  plot(thetaoe(1:n,:))
  xlabel('time  [samples]')
  ylabel('parameter estimates')
end
if algnr > 5
  if algnr < 9
    subplot(121)
    plot(thetaoe(1:n,1:na+nb))
    title('(a)')
    xlabel('time  [samples]')
    ylabel('parameter estimates (linear part)')
    subplot(122)
    dim=size(thetaoe);
    plot(thetaoe(1:n,na+nb+1:dim(1,2)));
    title('(b)')
    xlabel('time  [samples]')
    ylabel('parameter estimates (nonlinear part)')
  end;
end;
if algnr > 8
  plot(thetaoe(1:n,:))
  xlabel('time  [samples]')
  ylabel('parameter estimates')
end;
